Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1054330 - btm-tomcat55-lifecycle jar is missing in the engine of jboss-brms-6.0.0-redhat-7-deployable-generic.zip
Summary: btm-tomcat55-lifecycle jar is missing in the engine of jboss-brms-6.0.0-redha...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss BRMS Platform 6
Classification: Retired
Component: BRE
Version: 6.0.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ER2
: 6.0.1
Assignee: Kris Verlaenen
QA Contact: Marek Winkler
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-16 16:01 UTC by Ivo Bek
Modified: 2014-08-06 19:56 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-06 19:56:56 UTC
Type: Bug


Attachments (Terms of Use)

Description Ivo Bek 2014-01-16 16:01:57 UTC
Description of problem:

In the engine/lib is missing the btm-tomcat55-lifecycle jar for EWS, so the EWS cannot be configured without it and users are forced to download it manually from Maven repository.

The same jar is missing also in the BPMS generic zip.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 2 Ryan Zhang 2014-02-11 07:06:17 UTC
I think this needs to be added in droolsjpbm-integration. 
Assign to Edson and set the target milestone to ER2.

Comment 5 Kris Verlaenen 2014-02-18 16:29:52 UTC
Added for bpms distribution.  Is this also required for brms?  As this for example doesn't seem to be shipping btm etc. currently.

Comment 6 Ivo Bek 2014-02-18 16:38:40 UTC
Kris, thank you to notice that. I should file the BZ only against BPMS. BTM is not required in BRMS according to Installation Guide http://documentation-devel.engineering.redhat.com/site/documentation/en-US/Red_Hat_JBoss_BRMS/6/html-single/Installation_Guide/index.html#Installing_JBoss_BRMS_on_JBoss_EWS_2

Comment 7 Marek Winkler 2014-03-17 13:28:23 UTC
Verified on BPMS 6.0.1 ER2.

Comment 8 Ivo Bek 2014-03-19 08:52:09 UTC
qe_test_coverage? we should use the btm-tomcat55-lifecycle.jar archive for configuration of EWS from the engine


Note You need to log in before you can comment on or make changes to this bug.